PolynomialConsolidator Class Reference

`#include <PolynomialConsolidator.h>`

Inheritance diagram for PolynomialConsolidator:

## Public Member Functions

| PolynomialConsolidator (unique_ptr< CoefBigTermConsumer > consumer)
virtual void | consumeRing (const VarNames &names)
virtual void | beginConsuming ()
virtual void | consume (const mpz_class &coef, const Term &term, const TermTranslator &translator)
virtual void | consume (const mpz_class &coef, const vector< mpz_class > &term)
virtual void | doneConsuming ()
virtual void | consume (const BigPolynomial &poly)
Public Member Functions inherited from CoefBigTermConsumer
virtual void | consume (const mpz_class &coef, const Term &term)
Public Member Functions inherited from CoefTermConsumer
virtual | ~CoefTermConsumer ()
virtual void | consume (const Polynomial &poly)

## Private Attributes

const unique_ptr< CoefBigTermConsumer > | _consumer
BigPolynomial | _poly

## Detailed Description

Definition at line 25 of file PolynomialConsolidator.h.

## Constructor & Destructor Documentation

## PolynomialConsolidator()

PolynomialConsolidator::PolynomialConsolidator | ( | unique_ptr< CoefBigTermConsumer > | consumer | ) |

Definition at line 20 of file PolynomialConsolidator.cpp.

## Member Function Documentation

## beginConsuming()

void PolynomialConsolidator::beginConsuming | ( |  | ) |

virtual

Implements CoefBigTermConsumer.

Definition at line 29 of file PolynomialConsolidator.cpp.

## consume() [1/3]

void PolynomialConsolidator::consume | ( | const BigPolynomial & | poly | ) |

virtual

Reimplemented from CoefBigTermConsumer.

Definition at line 50 of file PolynomialConsolidator.cpp.

## consume() [2/3]

void PolynomialConsolidator::consume | ( | const mpz_class & | coef,
|  | const Term & | term,
|  | const TermTranslator & | translator )

virtual

Implements CoefBigTermConsumer.

Definition at line 33 of file PolynomialConsolidator.cpp.

## consume() [3/3]

void PolynomialConsolidator::consume | ( | const mpz_class & | coef,
|  | const vector< mpz_class > & | term )

virtual

Implements CoefBigTermConsumer.

Definition at line 40 of file PolynomialConsolidator.cpp.

## consumeRing()

void PolynomialConsolidator::consumeRing | ( | const VarNames & | names | ) |

virtual

Implements CoefBigTermConsumer.

Definition at line 25 of file PolynomialConsolidator.cpp.

## doneConsuming()

void PolynomialConsolidator::doneConsuming | ( |  | ) |

virtual

Implements CoefBigTermConsumer.

Definition at line 45 of file PolynomialConsolidator.cpp.

## Member Data Documentation

## _consumer

const unique_ptr<CoefBigTermConsumer> PolynomialConsolidator::_consumer

private

Definition at line 43 of file PolynomialConsolidator.h.

## _poly

BigPolynomial PolynomialConsolidator::_poly

private

Definition at line 44 of file PolynomialConsolidator.h.

The documentation for this class was generated from the following files:

- src/PolynomialConsolidator.h
- src/PolynomialConsolidator.cpp